summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorQuincey Koziol <koziol@hdfgroup.org>2006-04-20 23:54:47 (GMT)
committerQuincey Koziol <koziol@hdfgroup.org>2006-04-20 23:54:47 (GMT)
commitd7573cbc857f5a2a843a42b3ea05cd9d3770208d (patch)
treef4e7afbb25303fdc587ab5d95b824ea77cb62407 /configure
parentad790bfa3c700de8ac49ebeaeffe0be1a876b6de (diff)
downloadhdf5-d7573cbc857f5a2a843a42b3ea05cd9d3770208d.zip
hdf5-d7573cbc857f5a2a843a42b3ea05cd9d3770208d.tar.gz
hdf5-d7573cbc857f5a2a843a42b3ea05cd9d3770208d.tar.bz2
[svn-r12292] Purpose:
Code maintenance Description: Remove flexible parallel code Platforms tested: FreeBSD 4.11 (sleipnir) Linux 2.4 (heping) Solaris 2.9 (shanti) Linux 2.4/64 (mir)
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure97
1 files changed, 31 insertions, 66 deletions
diff --git a/configure b/configure
index 967e74f..ada1571 100755
--- a/configure
+++ b/configure
@@ -1078,8 +1078,6 @@ Optional Features:
--enable-instrument Enable library instrumentation of optimization
tracing. Default=no if debug is disabled.
--enable-parallel Search for MPI-IO and MPI support files
- --enable-fphdf5 Enable the Flexible Parallel HDF5 interface
- [default=no]
--enable-filters=all Turn on all internal I/O filters. One may also
specify a comma-separated list of filters or the
word no. The default is all internal I/O filters.
@@ -3532,7 +3530,7 @@ fi
# Provide some information about the compiler.
-echo "$as_me:3535:" \
+echo "$as_me:3533:" \
"checking for Fortran compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -3827,7 +3825,7 @@ _ACEOF
# flags.
ac_save_FFLAGS=$FCFLAGS
FCFLAGS="$FCFLAGS $ac_verb"
-(eval echo $as_me:3830: \"$ac_link\") >&5
+(eval echo $as_me:3828: \"$ac_link\") >&5
ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
echo "$ac_fc_v_output" >&5
FCFLAGS=$ac_save_FFLAGS
@@ -3905,7 +3903,7 @@ _ACEOF
# flags.
ac_save_FFLAGS=$FCFLAGS
FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
-(eval echo $as_me:3908: \"$ac_link\") >&5
+(eval echo $as_me:3906: \"$ac_link\") >&5
ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
echo "$ac_fc_v_output" >&5
FCFLAGS=$ac_save_FFLAGS
@@ -6484,7 +6482,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 6487 "configure"' > conftest.$ac_ext
+ echo '#line 6485 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -7614,7 +7612,7 @@ fi
# Provide some information about the compiler.
-echo "$as_me:7617:" \
+echo "$as_me:7615:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -8683,11 +8681,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8686: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8684: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8690: \$? = $ac_status" >&5
+ echo "$as_me:8688: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -8938,11 +8936,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8941: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8939: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8945: \$? = $ac_status" >&5
+ echo "$as_me:8943: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -8998,11 +8996,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9001: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8999: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:9005: \$? = $ac_status" >&5
+ echo "$as_me:9003: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -11270,7 +11268,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 11273 "configure"
+#line 11271 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11368,7 +11366,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 11371 "configure"
+#line 11369 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -13604,11 +13602,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13607: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13605: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13611: \$? = $ac_status" >&5
+ echo "$as_me:13609: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -13664,11 +13662,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13667: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13665: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:13671: \$? = $ac_status" >&5
+ echo "$as_me:13669: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -15083,7 +15081,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 15086 "configure"
+#line 15084 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -15181,7 +15179,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 15184 "configure"
+#line 15182 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -16036,11 +16034,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16039: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16037: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16043: \$? = $ac_status" >&5
+ echo "$as_me:16041: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -16096,11 +16094,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16099: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16097: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:16103: \$? = $ac_status" >&5
+ echo "$as_me:16101: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -18152,11 +18150,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:18155: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:18153: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:18159: \$? = $ac_status" >&5
+ echo "$as_me:18157: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -18407,11 +18405,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:18410: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:18408: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:18414: \$? = $ac_status" >&5
+ echo "$as_me:18412: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -18467,11 +18465,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:18470: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:18468: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:18474: \$? = $ac_status" >&5
+ echo "$as_me:18472: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -20739,7 +20737,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 20742 "configure"
+#line 20740 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -20837,7 +20835,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 20840 "configure"
+#line 20838 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -49548,36 +49546,6 @@ _ACEOF
fi
- echo "$as_me:$LINENO: checking if Flexible Parallel HDF5 interface enabled" >&5
-echo $ECHO_N "checking if Flexible Parallel HDF5 interface enabled... $ECHO_C" >&6
- # Check whether --enable-fphdf5 or --disable-fphdf5 was given.
-if test "${enable_fphdf5+set}" = set; then
- enableval="$enable_fphdf5"
- FPHDF5=$enableval
-else
- FPHDF5="no"
-fi;
-
- if test "X$FPHDF5" = "Xyes"; then
-
- if test "X$${FPHDF5}" != "X" && test "X${HDF_FORTRAN}" != "X"; then
- { { echo "$as_me:$LINENO: error: --enable-fphdf5 and --enable-fortran flags are incompatible" >&5
-echo "$as_me: error: --enable-fphdf5 and --enable-fortran flags are incompatible" >&2;}
- { (exit 1); exit 1; }; }
- fi
-
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_FPHDF5 1
-_ACEOF
-
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
- fi
-
echo "$as_me:$LINENO: checking if MPI_File_set_size works for files over 2GB" >&5
echo $ECHO_N "checking if MPI_File_set_size works for files over 2GB... $ECHO_C" >&6
if test "${hdf5_cv_mpi_file_set_size_big+set}" = set; then
@@ -53092,9 +53060,6 @@ PRINT "---------"
PRINT_N " dmalloc"
IF_YES_NO "$HAVE_DMALLOC"
-PRINT_N " Flexible Parallel HDF"
-IF_YES_NO "$FPHDF5"
-
PRINT_N " Function Stack Tracing"
IF_ENABLED_DISABLED "$FUNCSTACK"